Summary: 	C++ wrappers for libgnomeui, for use with gtkmm.
Name: 		libgnomeuimm2
Version: 	2.0.0
Release: 	0.fdr.3.1
Epoch:		0
License: 	LGPL
Group: 		System Environment/Libraries
URL: 		http://www.gtkmm.org/
Source0: 	http://dl.sourceforge.net/gtkmm/libgnomeuimm-2.0.0.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:	libgnomemm2-devel
BuildRequires:	libgnomecanvasmm2-devel 
BuildRequires:	gconfmm2-devel 
BuildRequires:	libglademm2-devel 
BuildRequires:	libgnomeui-devel

%description
libgnomeuimm provides C++ wrappers for libgnomeui, for use with gtkmm.  

%package devel
Summary: 	Headers for developing programs that will use libgnomeuimm
Group: 		Development/Libraries
Requires:       %{name} = %{epoch}:%{version}-%{release}
Requires:	libgnomemm2-devel
Requires:	libgnomecanvasmm2-devel 
Requires:	gconfmm2-devel 
Requires:	libglademm2-devel
Requires:	libgnomeui-devel

%description devel
This package contains the static libraries and header files needed for
developing applications using libgnomeuimm.

%prep
%setup -q -n libgnomeuimm-%{version}



%build
%configure --enable-static --enable-shared 
make %{?_smp_mflags}



%install
rm -rf ${RPM_BUILD_ROOT}
make DESTDIR=${RPM_BUILD_ROOT} install
find $RPM_BUILD_ROOT -type f -name "*.la" -exec rm -f {} ';'


%clean
rm -rf ${RPM_BUILD_ROOT}



%post -p /sbin/ldconfig



%postun -p /sbin/ldconfig


%files
%defattr(-, root, root, 0755)
%doc AUTHORS COPYING NEWS
%{_libdir}/*.so.*

%files devel
%defattr(-, root, root, 0755)
%{_includedir}/libgnomeuimm-2.0/
%{_libdir}/*.a
%{_libdir}/*.so
%{_libdir}/libgnomeuimm-2.0/
%{_libdir}/pkgconfig/*.pc


%changelog 
* Sat Nov 1  2003 Michael Koziarski <michael@koziarski.org> - 2.0.0-0.fdr.3
- Fix overly simplified dependencies

* Sat Nov 1  2003 Michael Koziarski <michael@koziarski.org> - 2.0.0-0.fdr.2
- setup -q
- simplify Dependencies

* Sat Oct 18 2003 Michael Koziarski <michael@koziarski.org> - 2.0.0-0.fdr.1
- Initial RPM creation


